## shoes 0.r396

=== Makefile ===
# shoes - abstract windowing for gtk, osx, and win32
# by why the lucky stiff, released to you under the MIT license

SRC = shoes/app.c shoes/canvas.c shoes/dialogs.c shoes/image.c shoes/internal.c shoes/ruby.c shoes/world.c
OBJ = ${SRC:.c=.o}

PREFIX = /usr/local
INCS = -I. -I/usr/include
LIBS = -L/usr/lib -lcairo -lpangocairo-1.0 -lgif -ljpeg

SVN_VERSION = 396
RUBY_INCS = `ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]'`
RUBY_LIBS = `ruby -rrbconfig -e 'puts Config::CONFIG["LIBRUBYARG_SHARED"]'`
RUBY_PREFIX = `ruby -rrbconfig -e 'puts Config::CONFIG["prefix"]'`
RUBY_SO = `ruby -rrbconfig -e 'puts Config::CONFIG["RUBY_SO_NAME"]'`
CAIRO_CFLAGS = `pkg-config --cflags cairo`
CAIRO_LIB = `pkg-config --libs cairo`
PANGO_CFLAGS = `pkg-config --cflags pango`
PANGO_LIB = `pkg-config --libs pango`
GTK_CFLAGS = `pkg-config --cflags gtk+-2.0`
GTK_LIB = `pkg-config --libs gtk+-2.0`

VERSION = 0.r${SVN_VERSION}
CFLAGS = -DSHOES_GTK -fPIC ${INCS} ${CAIRO_CFLAGS} ${PANGO_CFLAGS} ${GTK_CFLAGS} -I${RUBY_INCS}
LDFLAGS = -fPIC ${LIBS} ${CAIRO_LIB} ${PANGO_LIB} ${GTK_LIB} ${RUBY_LIBS}
OPTIONS =

ifeq (${DEBUG}, 1)
	CFLAGS += -DDEBUG
	OPTIONS += DEBUG
endif

ifeq (${VIDEO}, 1)
	CFLAGS += -DVIDEO
	LIBS += -lvlc
	OPTIONS += VIDEO
endif

all: clean options shoes

options:
	@echo shoes build options:
	@echo "CC       = ${CC}"
	@echo "RUBY     = ${RUBY_PREFIX}"
	@echo "OPTIONS  =${OPTIONS}"
	@ruby -v

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} -o $@ $<

dist/libshoes.so: ${OBJ} 
	@echo CC -o $@
	@mkdir dist
	@${CC} -o $@ ${OBJ} ${LDFLAGS} -shared

dist/shoes-bin: dist/libshoes.so bin/main.o
	@echo CC -o $@
	@${CC} -o $@ ${LDFLAGS} bin/main.o -Ldist -lshoes

dist/shoes.launch: dist/shoes-bin
	@echo 'APPPATH="$${0%/*}"' > dist/shoes.launch
	@echo 'LD_LIBRARY_PATH="$$APPPATH/../lib/shoes" $$APPPATH/../lib/shoes/shoes-bin $$@' >> dist/shoes.launch
	@chmod 755 dist/shoes.launch

dist/shoes: dist/shoes-bin
	@echo 'APPPATH="$${0%/*}"' > dist/shoes
	@echo 'LD_LIBRARY_PATH=$$APPPATH $$APPPATH/shoes-bin $$@' >> dist/shoes
	@chmod 755 dist/shoes

shoes: dist/shoes
	@mkdir -p dist/ruby/lib
	@cp -r ${RUBY_PREFIX}/lib/ruby/1.8/* dist/ruby/lib
	@rm -rf dist/ruby/lib/rdoc
	@rm -rf dist/ruby/lib/rexml
	@rm -rf dist/ruby/lib/rss
	@rm -rf dist/ruby/lib/soap
	@rm -rf dist/ruby/lib/test
	@rm -rf dist/ruby/lib/webrick
	@rm -rf dist/ruby/lib/wsdl
	@rm -rf dist/ruby/lib/xsd
	@cp ${RUBY_PREFIX}/lib/lib${RUBY_SO}.so dist
	@ln -s lib${RUBY_SO}.so dist/libruby.so.1.8
	@cp -r lib dist/lib
	@cp -r rubygems/* dist/ruby/lib
	@cp -r samples dist/samples
	@cp -r static dist/static
	@rm -rf dist/**/.svn
	@cp README COPYING dist

clean:
	@echo cleaning
	@rm -rf dist
	@rm -f ${OBJ} bin/main.o shoes-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p shoes-${VERSION}
	@cp -R COPYING Makefile README bin shoes samples static \
		shoes-${VERSION}
	@rm -f shoes-${VERSION}/bin/main.skel
	@rm -rf shoes-${VERSION}/**/.svn
	@tar -cf shoes-${VERSION}.tar shoes-${VERSION}
	@gzip shoes-${VERSION}.tar
	@rm -rf shoes-${VERSION}

install: all dist/shoes.launch
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f dist/shoes.launch ${DESTDIR}${PREFIX}/bin/shoes
	@chmod 755 ${DESTDIR}${PREFIX}/bin/shoes
	@echo installing libraries to ${DESTDIR}${PREFIX}/lib/shoes
	@mkdir -p ${DESTDIR}${PREFIX}/lib/shoes
	@cp -r dist/* ${DESTDIR}${PREFIX}/lib/shoes/

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/shoes
	# @echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	# @rm -f ${DESTDIR}${MANPREFIX}/man1/shoes.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
shoes (0.r396-5.1) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer, see #664419.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664419).
  * Update to Standards-Version to 3.9.3.1, debhelper to 9, ${misc:Depends}.
  * Add build-arch and build-indep targets; use dh_prep, disable
    deprecated dh_desktop in rules file.
  * Fix desktop-entry-contains-encoding-key (Lintian) in debian/*.desktop.
  * Fix unused-override (Lintian) by adjusting path in debian/*-overrides.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 05 Apr 2012 09:24:39 +0300

shoes (0.r396-5) unstable; urgency=low

  * Depend on rubygems1.8 instead of libgems-ruby1.8 (Closes: #491914).

 -- Bram Senders <bram@luon.net>  Wed, 23 Jul 2008 09:10:19 +0200

shoes (0.r396-4) unstable; urgency=low

  * Add patch 02_remove_rubygems_open-uri.dpatch, removing the single
    reference to rubygems/open-uri (which was removed from libgems-ruby1.8 as
    of version 1.1.1) (Closes: #484169).
  * Build-depend on libgif-dev instead of libungif4-dev.
  * Update Standards-Version to 3.8.0 (no changes necessary).

 -- Bram Senders <bram@luon.net>  Sun, 15 Jun 2008 09:46:18 +0200

shoes (0.r396-3) unstable; urgency=low

  * Use exec so that wrapper process doesn't keep running (Closes: #467369).
  * Provide .desktop file.
  * Install shoes icon.
  * Raise build-dep on debhelper to (>= 5.0.51~) for dh_icons.

 -- Bram Senders <bram@luon.net>  Mon, 25 Feb 2008 23:09:44 +0100

shoes (0.r396-2) unstable; urgency=low

  * Add Paul van Tilburg to the Uploaders field.
  * Add Homepage field.

 -- Bram Senders <bram@luon.net>  Wed, 23 Jan 2008 14:31:14 +0100

shoes (0.r396-1) unstable; urgency=low

  * Initial release (Closes: #460807).
  * Upload sponsored by Paul van Tilburg <paulvt@debian.org>.

 -- Bram Senders <bram@luon.net>  Tue, 15 Jan 2008 13:21:29 +0100

=== debian/control ===
Source: shoes
Section: interpreters
Priority: extra
Maintainer: Bram Senders <bram@luon.net>
Uploaders: Paul van Tilburg <paulvt@debian.org>
Build-Depends: debhelper (>= 9), pkg-config, libgtk2.0-dev, libcairo2-dev, libpango1.0-dev, libgif-dev, libjpeg-dev, ruby, ruby1.8-dev
Standards-Version: 3.9.3.1
Homepage: http://code.whytheluckystiff.net/shoes/

Package: shoes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, rubygems1.8
Description: tiny graphics and windowing toolkit using Ruby
 Shoes is a very informal graphics and windowing toolkit for making simple
 graphical applications.  It blends ideas from the web (hyperlinks, simple text
 layout, and more) from traditional windowing toolkits (buttons, progress bars,
 dialogs and the like) and applications like NodeBox and Processing (drawing
 anywhere on the window with shapes and curves, simple animation).
 .
 Shoes uses Ruby as its interface language; applications created with it can
 run on Windows, Mac OS X and Linux.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Modified for the shoes package by Bram Senders.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



build-arch: build
build-indep: build

build: build-stamp
build-stamp: 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs
	cp -a dist/shoes-bin dist/libshoes.so lib debian/shoes/usr/lib/shoes
	ln -s ../../ruby/1.8 debian/shoes/usr/lib/shoes/ruby/lib
	echo '#!/bin/sh' > debian/shoes/usr/bin/shoes
	echo 'APPPATH="/usr/lib/shoes"' >> debian/shoes/usr/bin/shoes
	echo 'LD_LIBRARY_PATH=$$APPPATH exec $$APPPATH/shoes-bin $$@' >> debian/shoes/usr/bin/shoes
	chmod +x debian/shoes/usr/bin/shoes
	cp static/* debian/shoes/usr/share/shoes
	chmod -x debian/shoes/usr/share/shoes/*
	cp debian/shoes.desktop debian/shoes/usr/share/applications
	cp debian/lintian-overrides debian/shoes/usr/share/lintian/overrides/shoes
	cp debian/shoes/usr/share/shoes/shoes-icon.png debian/shoes/usr/share/icons/hicolor/128x128/apps/shoes.png

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
#	dh_desktop
	dh_icons
	dh_link
	dh_strip
	dh_compress -X.yaml
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -l$(CURDIR)/debian/shoes/usr/lib/shoes
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
